Page MenuHomeFreeBSD

Add missing errno definitions for D
ClosedPublic

Authored by dteske on Feb 12 2018, 11:58 PM.

Details

Summary

Add the following errno definitions to /usr/lib/dtrace/errno.d:

ENOTCAPABLE (93)
ECAPMODE (94)
ENOTRECOVERABLE (95)
EOWNERDEAD (96)
ERELOOKUP (-5)

and update ELAST (92 -> 96)

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dteske created this revision.Feb 12 2018, 11:58 PM
Herald added 1 blocking reviewer(s): gnn. · View Herald TranscriptFeb 12 2018, 11:58 PM
Herald added a subscriber: imp. · View Herald Transcript
dteske retitled this revision from Update missing errno definitions for D to Add missing errno definitions for D.Feb 13 2018, 12:01 AM
dteske edited the summary of this revision. (Show Details)
dteske edited the summary of this revision. (Show Details)
markj accepted this revision.Feb 13 2018, 1:42 AM

LGTM, thanks. For some reason I didn't get an email about this review. :/

LGTM, thanks. For some reason I didn't get an email about this review. :/

Interesting, for some reason I didn't get an email about your approval.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 15 2018, 6:37 PM
This revision was automatically updated to reflect the committed changes.